image: node:10

build:dev:
    stage: build
    cache:
        paths:
            - node_modules/        
    artifacts:
        paths:
            - node_modules/
            - dist/
    script:
        - npm install
        - node ./node_modules/@angular/cli/bin/ng build

deploy:dev:
    stage: deploy
    only: 
        - master
    environment: ng-parish-app-dev.firebaseapp.com
    dependencies: 
        - build:dev
    script:
        - ./node_modules/firebase-tools/lib/bin/firebase.js deploy --token $FIREBASE_DEV_DEPLOY_KEY --project "ng-parish-app-dev"

build:prod:
    stage: build
    only: 
        - master
    cache:
        paths:
            - node_modules/        
    artifacts:
        paths:
            - node_modules/
            - dist/
    script:
        - npm install
        - node ./node_modules/@angular/cli/bin/ng build --prod

deploy:prod:
    stage: deploy
    only: 
        - master
    environment: ng-parish-app.firebaseapp.com
    when: manual
    dependencies: 
        - build:prod
    script:
        - ./node_modules/firebase-tools/lib/bin/firebase.js deploy --token $FIREBASE_DEPLOY_KEY --project "ng-parish-app"
